Opened 11 years ago

Closed 11 years ago

Last modified 10 years ago

#600 closed Bug Report (invalid)

Some lv2 headers are not found on configuration

Reported by: cook60020tmp@… Owned by: David Robillard
Priority: major Component: Ingen
Keywords: Cc:

Description

I revision 2661, dated by 29.10.2010, and this problem did not appear. I even regot entire repository (removing before), but it was helpless.

Full log (configuring in per tool mode; changed to ingen dir before):

$ ./waf configure --docs --prefix=/usr
Global Configuration 
Checking for program gcc or cc                                      : /usr/bin/gcc 
Checking for program cpp                                            : /usr/bin/cpp 
Checking for program ar                                             : /usr/bin/ar 
Checking for program ranlib                                         : /usr/bin/ranlib 
Checking for gcc                                                    : ok  
Checking for program g++ or c++                                     : /usr/bin/g++ 
Checking for g++                                                    : ok  
Checking for program doxygen                                        : /usr/bin/doxygen 
Checking for program dot                                            : /usr/bin/dot 
Install prefix                                                      : /usr 
Debuggable build                                                    : False 
Strict compiler flags                                               : False 
Build documentation                                                 : True 

Ingen Configuration 
Checking for glibmm-2.4 >= 2.14.0                                   : yes 
Checking for gthread-2.0 >= 2.14.0                                  : yes 
Checking for gtkmm-2.4 >= 2.11.12                                   : yes 
Checking for gtkmm-2.4 >= 2.14.0                                    : yes 
Checking for jack >= 0.109.0                                        : yes 
Checking for slv2 >= 0.6.0                                          : yes 
Checking for raul >= 0.6.2                                          : yes 
Checking for flowcanvas >= 0.6.1                                    : yes 
Checking for libxml-2.0 >= 2.6.0                                    : yes 
Checking for libglademm-2.4 >= 2.6.0                                : yes 
Checking for redlandmm >= 0.0.0                                     : yes 
Checking for libsoup-2.4 >= 2.4.0                                   : yes 
Checking for header ladspa.h                                        : yes 
Checking for liblo >= 0.25                                          : yes 
Checking for function posix_memalign                                : yes 
Checking for header lv2/lv2plug.in/ns/lv2core/lv2.h                 : not found 
Checking for header lv2/lv2plug.in/ns/ext/atom/atom.h               : not found 
Checking for header lv2/lv2plug.in/ns/ext/contexts/contexts.h       : not found 
Checking for header lv2/lv2plug.in/ns/ext/event/event-helpers.h     : not found 
Checking for header lv2/lv2plug.in/ns/ext/event/event.h             : not found 
Checking for header lv2/lv2plug.in/ns/ext/resize-port/resize-port.h : not found 
Checking for header lv2/lv2plug.in/ns/ext/uri-map/uri-map.h         : not found 
Checking for header lv2/lv2plug.in/ns/ext/uri-unmap/uri-unmap.h     : not found 
Jack                                                                : True 
OSC                                                                 : True 
HTTP                                                                : True 
LV2                                                                 : True 
LADSPA                                                              : True 
GUI                                                                 : True 

Change History (3)

comment:1 Changed 11 years ago by cook60020tmp@…

Priority: blockermajor

Correction

This bug appears only on separate configuration of subprojects (ingen, patchage, flowcanvas, etc).

comment:2 Changed 11 years ago by David Robillard

Resolution: invalid
Status: newclosed

You have to install those bundles to compile the projects individually (i.e. the checks are correct, you do not have those headers installed).

comment:3 Changed 10 years ago by lvlover283

no offense but, i had this a few hours ago

Note: See TracTickets for help on using tickets.